Foreman - Bug #14130

Libvirt image provision generates random MAC address, even though you supply one during
provision

03/10/2016 01:15 AM - Karli Sjéberg

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.10.1
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Hil

When creating a new host and editing the interface, supplying a MAC address, the host is provisioned with a different, random
generated MAC address instead.

As | cannot have proxy for DHCP, | need to set a MAC address so | can manually register it in DHCP beforehand with IP address so
that the provisioned host gets that address, for the SSH finish to work.

Steps to reproduce:

Provision new host on libvirt provider

Supply MAC address in "Interfaces > Edit"

The host is created with another, random MAC address.

Expected result:
The host is created with the supplied MAC address.

TIA
Karli

Related issues:
Is duplicate of Foreman - Feature #13089: Support specifying interface MAC ad... Duplicate 01/08/2016

History

#1 - 03/10/2016 02:59 AM - Dominic Cleal
- Is duplicate of Feature #13089: Support specifying interface MAC address during VM creation added

#2 - 03/10/2016 03:00 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this is tracked under feature #13089.
